Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.junit.ant
Class ConfigurableXMLJUnitResultFormatter

    java.lang.Object
      org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter
          org.jboss.portal.common.junit.ant.ConfigurableXMLJUnitResultFormatter

All Implemented Interfaces:
  junit.framework.TestListener, org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter, org.apache.tools.ant.taskdefs.optional.junit.XMLConstants

    public class ConfigurableXMLJUnitResultFormatter

extends org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.apache.tools.ant.taskdefs.optional.junit.XMLConstants
`ATTR_CLASSNAME, ATTR_ERRORS, ATTR_FAILURES, ATTR_ID, ATTR_MESSAGE, ATTR_NAME, ATTR_PACKAGE, ATTR_TESTS, ATTR_TIME, ATTR_TYPE, ATTR_VALUE, ERROR, FAILURE, PROPERTIES, PROPERTY, SYSTEM_ERR, SYSTEM_OUT, TESTCASE, TESTSUITE, TESTSUITES`

Constructor Summary
`ConfigurableXMLJUnitResultFormatter()`

Method Summary
`void` | `startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)`

Methods inherited from class org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter
`addError, addFailure, addFailure, endTest, endTestSuite, setOutput, setSystemError, setSystemOutput, startTest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurableXMLJUnitResultFormatter

    public ConfigurableXMLJUnitResultFormatter()

Method Detail

### startTestSuite

    public void startTestSuite(org.apache.tools.ant.taskdefs.optional.junit.JUnitTest suite)

  Specified by:
    `startTestSuite` in interface `org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter`
  Overrides:
    `startTestSuite` in class `org.apache.tools.ant.taskdefs.optional.junit.XMLJUnitResultFormatter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.